//==========================================================
// Pad routines for Blade PSX Libs (c)2001
//==========================================================
#include <psone/syscall.h>
//==========================================================
u_long pad_buf = 0;
u_long pad_data = 0;
//=======================================================
void PadInit(void)
{
  pad_data = 0xffffffff;
  PAD_init (0x20000001, &pad_buf);
}
//=======================================================
void PadStop(void)
{
  StopPAD();
}
//=======================================================
u_long PadRead()
{
  return (~pad_data);
}
//=======================================================
u_long PadRead2()
{
  return (~pad_data >> 16);
}
//=======================================================
void WaitVSync(void)
{
  volatile u_long *p = (volatile u_long *) &pad_buf;
  *p = 0x0000;
  while (*p == 0x0000);
  pad_data = *p;
}
//=======================================================
//long card_clear(long chan)
//{
//  _new_card();
//  return (_card_write(chan, 63, 0));
//}
//=======================================================
